Get Execution Details Of Trade Order¶
Endpoint¶
Parameters¶
Path Parameters¶
| Field | Type | Description |
|---|---|---|
| b_id Required | String | Business line ID |
| order_no Required | String | Order ID |
Response¶
Response Body¶
| Field | Type | Description |
|---|---|---|
| code | Integer | Response code (0 = success) |
| message | String | Response message |
| successful | Boolean | Whether the request was successful |
| data | Object[] | Execution records array (see data object details below). |
data (object)
| Field | Type | Description |
|---|---|---|
| order_no | String | Order ID |
| trading_pair | String | Trading pair |
| filled_qty | Integer | Transaction base amount |
| filled_cash | Integer | Transaction quote amount |
| filled_price | Integer | Transaction price |
| fee | Integer | Service fee |
| fee_ccy | String | Service fee currency |
| trade_type | String | Order Type Allowed values: LIMIT (limit order), TOKEN (market order) |
| side | String | Trade directions Allowed values: BUY (buy), SELL (sell) |
| trade_id | String | Trade ID |
| status | String | Trade order status Allowed values: PROCESSING (processing), PENDING (pending settlement), COMPLETE (complete), CANCELING (cancel), CANCEL_PART (partial success) |
| complete_time | String | Complete time |
Response Example¶
{
"code": 0,
"message": "",
"data": [
{
"trading_pair": "string",
"side": "string",
"order_no": "string",
"filled_qty": 0,
"trade_id": "string",
"fee": 0,
"fee_ccy": "string",
"trade_type": "string",
"status": "string",
"filled_cash": 0,
"filled_price": 0,
"complete_time": 0
}
],
"successful": true
}